Apikee

Endpoints API

REST API reference for endpoint registration and management.

Endpoints API

Base path: https://apikee.dev/api/v1/endpoint


List endpoints

GET /endpoint?project_env={env}

Response 200

{
  "data": [
    {
      "method": "GET",
      "path": "/users",
      "name": "List users",
      "method_path": "GET:/users",
      "project_env": "my-api-production",
      "stats": { "total": 9421, "success": 9403, "error": 18 },
      "createdAt": "2026-01-15T10:00:00Z"
    }
  ],
  "pagination": { "total": 12, "page": 1, "limit": 10, "pages": 2 }
}

Create endpoint(s)

POST /endpoint?project_env={env}

Pass a single object or an array.

[
  { "method": "GET",    "path": "/users",     "name": "List users"   },
  { "method": "POST",   "path": "/users",     "name": "Create user"  },
  { "method": "DELETE", "path": "/users/{id}","name": "Delete user"  }
]

Get endpoint

GET /endpoint/{method_path}?project_env={env}

The method_path parameter is URL-encoded, e.g. GET%3A%2Fusers.


Update endpoint

PUT /endpoint/{method_path}?project_env={env}
{
  "name": "List users (paginated)",
  "description": "Returns a paginated list of users",
  "metadata": { "version": "v2" }
}

Delete endpoint

DELETE /endpoint/{method_path}?project_env={env}

Response 200

{
  "success": true,
  "method_path": "GET:/users",
  "project_env": "my-api-production"
}

On this page